gEventFun-class {MVCClass} | R Documentation

## A class to link a callback function with an event

### Description

The gEventFun class creates an object which contains all the needed information to link a callback function to an event. The gEventFun object will hold all of the callback function information, including the callback function, a short description of what the callback function does, and a list of all preprocessing functions that must be called.

### Objects from the Class

Objects can be created by calls of the form `new("gEventFun", ...)`.

### Slots

`callFun`:
  the callback function
`shortName`:
  a short description of what the callback function does
`preprocessFun`:
  a list of preprocessing functions that must be called before the callback function (this can be NULL)

### Methods

callFun<-
  Sets the `callFun` slot
callFun
  Returns the `callFun` slot
preprocessFun<-
  Sets the `preprocessFun` slot
preprocessFun
  Returns the `preprocessFun` slot
shortName<-
  Sets the `shortName` slot
shortName
  Returns the `preprocessFun` slot

### Author(s)

Elizabeth Whalen

[Package MVCClass version 1.18.0 Index]